Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.handler
Class AsyncServiceHandlers

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--context.arch.handler.AsyncServiceHandlers

public class AsyncServiceHandlers
extends java.util.Hashtable

This class maintains a list of asynchronous service handlers, allows additions and removals of individual handlers.

See Also:
  Serialized Form

Constructor Summary
`AsyncServiceHandlers()` Basic empty constructor

Method Summary
`void` | `addHandler(AsyncServiceHandlerInfo info)` Adds an asynchronous service handler to the handler list
`AsyncServiceHandler` | `getHandler(java.lang.String key)` Returns a handler that matches the given key
`java.util.Enumeration` | `getHandlers()` Returns an enumeration containing all the handlers in the list
`int` | `numHandlers()` Returns the number of handlers in the list
`void` | `removeHandler(AsyncServiceHandlerInfo info)` Removes a handler from the handler list

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsyncServiceHandlers

    public AsyncServiceHandlers()

  Basic empty constructor

Method Detail

### addHandler

    public void addHandler(AsyncServiceHandlerInfo info)

  Adds an asynchronous service handler to the handler list
  Parameters:
    `info` - Container for handler info
  See Also:
    `AsyncServiceHandlerInfo`

### removeHandler

    public void removeHandler(AsyncServiceHandlerInfo info)

  Removes a handler from the handler list
  Parameters:
    `info` - AsyncServiceHandlerInfo object to remove
  See Also:
    `AsyncServiceHandlerInfo`

### getHandler

    public AsyncServiceHandler getHandler(java.lang.String key)

  Returns a handler that matches the given key
  Parameters:
    `key` - String that matches handler info
  Returns:
    context widget handler that matches the given key

### getHandlers

    public java.util.Enumeration getHandlers()

  Returns an enumeration containing all the handlers in the list

### numHandlers

    public int numHandlers()

  Returns the number of handlers in the list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD